<template>
  <b-button class="coscine_delete" @click="deleteItem">{{ btnText }}</b-button>
</template>

<script lang="ts">
import { BButton } from "bootstrap-vue";
import Vue from "vue";
Vue.component("b-button", BButton);

export default Vue.extend({
  name: "CoscineButtonDelete",
  props: {
    btnText: {
      default: "Delete",
      type: String,
    },
  },
  methods: {
    deleteItem() {
      this.$emit("delete");
    },
  },
});
</script>
<style scoped>
.coscine_delete:hover {
  background-color: #cc071e;
  border-color: #8e0515;
  color: #ffffff;
}
</style>
